﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MyClock
{
    public partial class DispRegMsg : Form
    {
        public DispRegMsg()
        {
            InitializeComponent();
        }

        private void DispRegMsg_Load(object sender, EventArgs e)
        {
            // DispRegフォームを DispRegフォームのスグ下へ移動させる
            MoveDispRegMsgForm();
            // 起動時に指定されたメッセージ (DispReg.Msg) を表示する
            label_Msg.Text = DispReg.Msg;
        }

        /// <summary>
        /// <ver 1.17.6></ver>
        /// DispRegフォームを DispRegフォームのスグ下へ移動させる
        /// </summary>
        private void MoveDispRegMsgForm()
        {
            // DispRegフォームの左上の位置(left, top, width, height)を取得
            var left = this.Owner.Location.X;
            var top = this.Owner.Location.Y;
            var width = this.Owner.Width;
            var height = this.Owner.Height;
            // DispRegMsgフォームのデフォルトの位置(DispRegフォームの下)
            int X = left;
            int Y = top + height;
            // DispRegMsgフォームを移動させる
            this.Location = new Point(X, Y);
        }

        /// <summary>
        /// <Ver 1.17.6></Ver>
        /// [OK]ボタンクリックのイベントハンドラ
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void button_MsgOK_Click(object sender, EventArgs e)
        {
            Dispose();
        }

        private void timer_DispRegMsg_Tick(object sender, EventArgs e)
        {
            MoveDispRegMsgForm();
        }
    }
}
